wayland::server::zwp_tablet_manager_v1_t(3)

NAME
wayland::server::zwp_tablet_manager_v1_t - controller object for graphic tablet devices

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

  Public Member Functions

std::function< void(zwp_tablet_seat_v1_t, seat_t)> & on_get_tablet_seat ()
get the tablet seat
std::function< void()> & on_destroy ()
release the memory for the tablet manager object
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

controller object for graphic tablet devices

An object that provides access to the graphics tablets available on this system. All tablets are associated with a seat, to get access to the actual tablets, use wp_tablet_manager.get_tablet_seat.

Definition at line 3985 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_tablet_manager_v1_t::on_destroy ()

release the memory for the tablet manager object Destroy the wp_tablet_manager object. Objects created from this object are unaffected and should be destroyed separately.

Definition at line 6090 of file wayland-server-protocol-unstable.cpp.

  std::function< void(zwp_tablet_seat_v1_t, seat_t)> & zwp_tablet_manager_v1_t::on_get_tablet_seat ()

get the tablet seat

Parameters
    tablet_seat
    seat The wl_seat object to retrieve the tablets for

Get the wp_tablet_seat object for the given seat. This object provides access to all graphics tablets in this seat.

Definition at line 6084 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post "not enough memory" error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.